=== debian/changelog ===
restbed (4.0~dfsg1-5build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 23:28:01 +0000

restbed (4.0~dfsg1-5) unstable; urgency=medium

  * Move to salsa.debian.org.

 -- Alexandre Viau <aviau@debian.org>  Fri, 29 Dec 2017 00:49:03 -0500

restbed (4.0~dfsg1-4) unstable; urgency=medium

  * d/watch: fix dversionmangle

 -- Alexandre Viau <aviau@debian.org>  Fri, 09 Sep 2016 10:12:33 -0400

restbed (4.0~dfsg1-3) unstable; urgency=medium

  * Added shlibs file
  * Install all .so files

 -- Alexandre Viau <aviau@debian.org>  Tue, 06 Sep 2016 17:13:53 -0400

restbed (4.0~dfsg1-2) unstable; urgency=medium

  * add d/copyright comment about CPL-2.0

 -- Alexandre Viau <aviau@debian.org>  Tue, 06 Sep 2016 16:59:33 -0400

restbed (4.0~dfsg1-1) unstable; urgency=medium

  * Initial release. (Closes: #836891)

 -- Alexandre Viau <aviau@debian.org>  Tue, 06 Sep 2016 13:50:13 -0400
