=== debian/control ===
Source: restbed
Section: libs
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alexandre Viau <aviau@debian.org>
Build-Depends: debhelper (>= 9),
               cmake,
               libasio-dev,
               libssl-dev
Standards-Version: 3.9.8
Homepage: https://github.com/Corvusoft/restbed
Vcs-Git: https://salsa.debian.org/debian/restbed.git
Vcs-Browser: https://salsa.debian.org/debian/restbed

Package: librestbed-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         librestbed0 (=${binary:Version})
Provides: librestbed-dev
Description: asynchronous REST C++11 library - dev package
 Restbed is a comprehensive and consistent programming model for
 building applications that require seamless and secure
 communication over HTTP, with the ability to model a range of
 business processes, designed to target mobile, tablet, desktop
 and embedded production environments.
 .
 This package contains the static library and headers.

Package: librestbed0
Architecture: any
Provides: librestbed0
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: asynchronous REST C++11 library
 Restbed is a comprehensive and consistent programming model for
 building applications that require seamless and secure
 communication over HTTP, with the ability to model a range of
 business processes, designed to target mobile, tablet, desktop
 and embedded production environments.
