=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DBUILD_TESTS=OFF \
	    -DBUILD_EXAMPLES=OFF \
	    -DBUILD_SSL=ON \
	    -DBUILD_SHARED=ON \
	    -DCMAKE_BUILD_TYPE=Release

override_dh_auto_install:
	dh_auto_install
