=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/restbed-$1\.tar\.gz/,repacksuffix=~dfsg1,dversionmangle=s/\~dfsg\d*$// \
  https://github.com/Corvusoft/restbed/tags .*/v?(\d\S*)\.tar\.gz
