## restbed 4.0~dfsg1-5build1+8.0trisquel1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,12 @@
 # Copyright 2013-2016, Corvusoft Ltd, All Rights Reserved.
+cmake_minimum_required( VERSION 2.8.10 )
 
 project( "restbed" )
-
-cmake_minimum_required( VERSION 2.8.10 )
+set (restbed_VERSION_MAJOR 0)
+set (restbed_VERSION_MINOR 0.0)
+set (restbed_VERSION ${restbed_VERSION_MAJOR}.${restbed_VERSION_MINOR})
+set (PACKAGE_VERSION ${restbed_VERSION})
+set (VERSION "${restbed_VERSION}")
 
 #
 # Build Options
@@ -41,6 +45,10 @@
 
 add_library( ${PROJECT_NAME} ${BUILD_MANIFEST} )
 
+if ( BUILD_SHARED )
+    set_target_properties (${PROJECT_NAME} PROPERTIES SOVERSION ${restbed_VERSION_MAJOR} VERSION ${restbed_VERSION})
+endif ( )
+
 if ( BUILD_SSL )
     target_link_libraries( ${PROJECT_NAME} LINK_PRIVATE ${ssl_LIBRARY} ${crypto_LIBRARY} )
 else ( )
@@ -71,5 +79,5 @@
 install( FILES "${INCLUDE_DIR}/${PROJECT_NAME}" DESTINATION "include" )
 install( FILES ${BUILD_ARTIFACTS} DESTINATION "include/corvusoft/${PROJECT_NAME}" )
 install( TARGETS ${PROJECT_NAME}
-         LIBRARY DESTINATION "library"
-         ARCHIVE DESTINATION "library" COMPONENT library )
+         LIBRARY DESTINATION "lib"
+         ARCHIVE DESTINATION "lib" COMPONENT library )
