=== debian/changelog ===
restbed (4.0~dfsg1-5build1+8.0trisquel1) flidas; urgency=medium

  * Backported from bionic

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 08 Oct 2018 20:13:56 +0000
